﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SimpleSample
{
    public class ChartSample : ContentPage
    {

        public ChartSample()
        {
            StackLayout stackLayout = new StackLayout();

            RelativeLayout layout = new RelativeLayout();
            layout.WidthRequest = stackLayout.Width;
            layout.HeightRequest = stackLayout.Height;

            Label label = new Label();

            SfChart chart = new SfChart();
            chart.VerticalOptions = LayoutOptions.FillAndExpand;
            chart.HorizontalOptions = LayoutOptions.FillAndExpand;

            ObservableCollection<ChartDataPoint> data = new ObservableCollection<ChartDataPoint>();

            data.Add(new ChartDataPoint("Jan", 42));
            data.Add(new ChartDataPoint("Feb", 54));
            data.Add(new ChartDataPoint("Mar", 28));
            data.Add(new ChartDataPoint("Apr", 36));
            data.Add(new ChartDataPoint("May", 44));

            double total = 0;

            for(int i = 0; i < data.Count; i++)
            {
                total += data[i].YValue;
            }

            label.Text = total.ToString();
            label.TextColor = Color.Blue;

            DoughnutSeries series = new DoughnutSeries();
            series.ItemsSource = data;
            chart.Series.Add(series);

            layout.Children.Add(chart, Constraint.Constant(0), Constraint.Constant(0));
            layout.Children.Add(label, Constraint.RelativeToParent((Parent) => { return (Parent.Width / 2 - label.Width - 15); }), Constraint.RelativeToParent((Parent) => { return (Parent.Height / 2 - label.Height - 10); }));
            stackLayout.Children.Add(layout);
            Content = stackLayout;
        }
    }
}
